package com.steering.qcm.entity;

/**
 * 数据库表COUPLING_MAT_M所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-1M51SAA   date 2019-04-27
 */
@SuppressWarnings("serial")
public class CouplingMatMEntity implements java.io.Serializable {
    /**
     * 材料号（JG+炉号+批号+3位流水）
     */
    private String matNo = "";
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 炉次计划号（弃用）
     */
    private String zyPlanId = "";
    /**
     * 工单号（炉次计划号+01流水）
     */
    private String woId = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号（炉批号）
     */
    private String batchNo = "";
    /**
     * 接箍料物料编码
     */
    private String blWlId = "";
    /**
     * 接箍料外径(mm)
     */
    private String minD = "";
    /**
     * 接箍料壁厚(mm)
     */
    private String minH = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 接箍外径
     */
    private String outdiameter = "";
    /**
     * 接箍壁厚
     */
    private String wallthick = "";
    /**
     * 接箍规格代码
     */
    private String specJg = "";
    /**
     * 接箍规格描述
     */
    private String specJgDesc = "";
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg = "";
    /**
     * 中孔内径
     */
    private String diameter = "";
    /**
     * 测量J值
     */
    private String checkJVal = "";
    /**
     * 接箍长度
     */
    private String aimlength = "";
    /**
     * 单重
     */
    private String singleweight = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 是否接箍监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 个数(原始记录)
     */
    private String proNum = "";
    /**
     * 总重量(原始记录)
     */
    private String proWt = "";
    /**
     * 操作工
     */
    private String colOperator = "";
    /**
     * 作业时间
     */
    private String rroTime = "";
    /**
     * 作业班次
     */
    private String proShift = "";
    /**
     * 作业班组
     */
    private String proGroup = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 首次入库时间
     */
    private String fInTime = "";
    /**
     * 接箍料物料
     */
    private String blWlDesc = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 探伤要求（4项之一，408401）
     */
    private String demandDetection = "";
    /**
     * 喷砂要求（4项之一）
     */
    private String demandBlast = "";
    /**
     * 磷化镀铜要求（4项之一，408402）
     */
    private String demandBonderizing = "";
    /**
     * 压印喷标要求（4项之一）
     */
    private String demandCopper = "";
    /**
     * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
     */
    private String coatType = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 备料码
     */
    private String codeJgBl = "";
    /**
     * 原料工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 原料工艺序号
     */
    private String craftSeq = "";
    /**
     * 接箍合同号
     */
    private String jgOrderno = "";
    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     */
    private String lockFlag = "";
    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     */
    private String mngLockFlag = "";
    /**
     * 管理封锁备注
     */
    private String mngLockRemark = "";
    /**
     * 质量封锁备注
     */
    private String lockRemark = "";
    /**
     * 判定状态（0.未判定，1.申请判定，2.已判定）
     */
    private String deterStatus = "";
    /**
     * 申请判定单号
     */
    private String deterNo = "";
    /**
     * 工序判定结果代码（407407）
     */
    private String deterResults = "";
    /**
     * 合同用户
     */
    private String finalUserDesc = "";
    /**
     * 来源分类代码（8013）
     */
    private String matOriginCode = "";
    /**
     * 来源分类名称
     */
    private String matOriginName = "";
    /**
     * 来源地代码（产线、外委、外购对应的具体项目）
     */
    private String soureCode = "";
    /**
     * 来源地名称
     */
    private String soureName = "";
    /**
     * 技术标准
     */
    private String judgeStdName = "";
    /**
     * 无注释
     */
    private String lockLiku = "";
    /**
     * 申请判定序号
     */
    private String deterNoSeq = "";
    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     */
    private String qcmStaus = "";
    /**
     * 废品个数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 主合同号
     */
    private String orderNo = "";
    /**
     * 主合同行号
     */
    private String orderSeq = "";
    /**
     * 主交货编码
     */
    private String deliveryNo = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 工序判定结果
     */
    private String judgeResult = "";
    /**
     * 工序判定时间
     */
    private String judgeResultTime = "";
    /**
     * 工序判定人
     */
    private String judgeMaker = "";
    /**
     * 综合判定结果代码
     */
    private String judgeTolresultCode = "";
    /**
     * 综合判定结果
     */
    private String judgeTolresult = "";
    /**
     * 综合判定时间
     */
    private String judgeTolresultTime = "";
    /**
     * 综合判定人
     */
    private String judgeTolmaker = "";
    /**
     * 综合判定单号
     */
    private String jugdeTolconvicted = "";
    /**
     * 工序判定单号
     */
    private String jugdeConvicted = "";
    /**
     * 质保书ID(接箍)
     */
    private String zbsId = "";
    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书)
     */
    private String zbsFlag = "";
    private String judgeResultCode = "";


    /**
     * 材料号（JG+炉号+批号+3位流水）
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号（JG+炉号+批号+3位流水）
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉次计划号（弃用）
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 炉次计划号（弃用）
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 接箍料物料编码
     * @return value
     */
    public String getBlWlId() {
        return blWlId;
    }

    /**
     * 接箍料物料编码
     * @param blWlId value
     */
    public void setBlWlId(String blWlId) {
        this.blWlId = blWlId;
    }

    /**
     * 接箍料外径(mm)
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 接箍料外径(mm)
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 接箍料壁厚(mm)
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 接箍料壁厚(mm)
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 接箍外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 接箍外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 接箍壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 接箍壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 接箍规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 接箍规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 接箍规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 接箍规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 中孔内径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 中孔内径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 测量J值
     * @return value
     */
    public String getCheckJVal() {
        return checkJVal;
    }

    /**
     * 测量J值
     * @param checkJVal value
     */
    public void setCheckJVal(String checkJVal) {
        this.checkJVal = checkJVal;
    }

    /**
     * 接箍长度
     * @return value
     */
    public String getAimlength() {
        return aimlength;
    }

    /**
     * 接箍长度
     * @param aimlength value
     */
    public void setAimlength(String aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 单重
     * @return value
     */
    public String getSingleweight() {
        return singleweight;
    }

    /**
     * 单重
     * @param singleweight value
     */
    public void setSingleweight(String singleweight) {
        this.singleweight = singleweight;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否接箍监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否接箍监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 个数(原始记录)
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 个数(原始记录)
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 总重量(原始记录)
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 总重量(原始记录)
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 操作工
     * @return value
     */
    public String getColOperator() {
        return colOperator;
    }

    /**
     * 操作工
     * @param colOperator value
     */
    public void setColOperator(String colOperator) {
        this.colOperator = colOperator;
    }

    /**
     * 作业时间
     * @return value
     */
    public String getRroTime() {
        return rroTime;
    }

    /**
     * 作业时间
     * @param rroTime value
     */
    public void setRroTime(String rroTime) {
        this.rroTime = rroTime;
    }

    /**
     * 作业班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 作业班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 作业班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 作业班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 首次入库时间
     * @return value
     */
    public String getFInTime() {
        return fInTime;
    }

    /**
     * 首次入库时间
     * @param fInTime value
     */
    public void setFInTime(String fInTime) {
        this.fInTime = fInTime;
    }

    /**
     * 接箍料物料
     * @return value
     */
    public String getBlWlDesc() {
        return blWlDesc;
    }

    /**
     * 接箍料物料
     * @param blWlDesc value
     */
    public void setBlWlDesc(String blWlDesc) {
        this.blWlDesc = blWlDesc;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @return value
     */
    public String getDemandDetection() {
        return demandDetection;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @param demandDetection value
     */
    public void setDemandDetection(String demandDetection) {
        this.demandDetection = demandDetection;
    }

    /**
     * 喷砂要求（4项之一）
     * @return value
     */
    public String getDemandBlast() {
        return demandBlast;
    }

    /**
     * 喷砂要求（4项之一）
     * @param demandBlast value
     */
    public void setDemandBlast(String demandBlast) {
        this.demandBlast = demandBlast;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @return value
     */
    public String getDemandBonderizing() {
        return demandBonderizing;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @param demandBonderizing value
     */
    public void setDemandBonderizing(String demandBonderizing) {
        this.demandBonderizing = demandBonderizing;
    }

    /**
     * 压印喷标要求（4项之一）
     * @return value
     */
    public String getDemandCopper() {
        return demandCopper;
    }

    /**
     * 压印喷标要求（4项之一）
     * @param demandCopper value
     */
    public void setDemandCopper(String demandCopper) {
        this.demandCopper = demandCopper;
    }

    /**
     * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
     * @return value
     */
    public String getCoatType() {
        return coatType;
    }

    /**
     * 涂层类型（0.无、1镀铜、2磷化、3镀铜及磷化）
     * @param coatType value
     */
    public void setCoatType(String coatType) {
        this.coatType = coatType;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 原料工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 原料工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 原料工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 原料工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 接箍合同号
     * @return value
     */
    public String getJgOrderno() {
        return jgOrderno;
    }

    /**
     * 接箍合同号
     * @param jgOrderno value
     */
    public void setJgOrderno(String jgOrderno) {
        this.jgOrderno = jgOrderno;
    }

    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     * @return value
     */
    public String getLockFlag() {
        return lockFlag;
    }

    /**
     * 质量封锁标志（0未封锁、1质量封锁）
     * @param lockFlag value
     */
    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @return value
     */
    public String getMngLockFlag() {
        return mngLockFlag;
    }

    /**
     * 管理封锁标志（0未封锁、1管理封锁）
     * @param mngLockFlag value
     */
    public void setMngLockFlag(String mngLockFlag) {
        this.mngLockFlag = mngLockFlag;
    }

    /**
     * 管理封锁备注
     * @return value
     */
    public String getMngLockRemark() {
        return mngLockRemark;
    }

    /**
     * 管理封锁备注
     * @param mngLockRemark value
     */
    public void setMngLockRemark(String mngLockRemark) {
        this.mngLockRemark = mngLockRemark;
    }

    /**
     * 质量封锁备注
     * @return value
     */
    public String getLockRemark() {
        return lockRemark;
    }

    /**
     * 质量封锁备注
     * @param lockRemark value
     */
    public void setLockRemark(String lockRemark) {
        this.lockRemark = lockRemark;
    }

    /**
     * 判定状态（0.未判定，1.申请判定，2.已判定）
     * @return value
     */
    public String getDeterStatus() {
        return deterStatus;
    }

    /**
     * 判定状态（0.未判定，1.申请判定，2.已判定）
     * @param deterStatus value
     */
    public void setDeterStatus(String deterStatus) {
        this.deterStatus = deterStatus;
    }

    /**
     * 申请判定单号
     * @return value
     */
    public String getDeterNo() {
        return deterNo;
    }

    /**
     * 申请判定单号
     * @param deterNo value
     */
    public void setDeterNo(String deterNo) {
        this.deterNo = deterNo;
    }

    /**
     * 工序判定结果代码（407407）
     * @return value
     */
    public String getDeterResults() {
        return deterResults;
    }

    /**
     * 工序判定结果代码（407407）
     * @param deterResults value
     */
    public void setDeterResults(String deterResults) {
        this.deterResults = deterResults;
    }

    /**
     * 合同用户
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 合同用户
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 来源分类代码（8013）
     * @return value
     */
    public String getMatOriginCode() {
        return matOriginCode;
    }

    /**
     * 来源分类代码（8013）
     * @param matOriginCode value
     */
    public void setMatOriginCode(String matOriginCode) {
        this.matOriginCode = matOriginCode;
    }

    /**
     * 来源分类名称
     * @return value
     */
    public String getMatOriginName() {
        return matOriginName;
    }

    /**
     * 来源分类名称
     * @param matOriginName value
     */
    public void setMatOriginName(String matOriginName) {
        this.matOriginName = matOriginName;
    }

    /**
     * 来源地代码（产线、外委、外购对应的具体项目）
     * @return value
     */
    public String getSoureCode() {
        return soureCode;
    }

    /**
     * 来源地代码（产线、外委、外购对应的具体项目）
     * @param soureCode value
     */
    public void setSoureCode(String soureCode) {
        this.soureCode = soureCode;
    }

    /**
     * 来源地名称
     * @return value
     */
    public String getSoureName() {
        return soureName;
    }

    /**
     * 来源地名称
     * @param soureName value
     */
    public void setSoureName(String soureName) {
        this.soureName = soureName;
    }

    /**
     * 技术标准
     * @return value
     */
    public String getJudgeStdName() {
        return judgeStdName;
    }

    /**
     * 技术标准
     * @param judgeStdName value
     */
    public void setJudgeStdName(String judgeStdName) {
        this.judgeStdName = judgeStdName;
    }

    /**
     * 无注释
     * @return value
     */
    public String getLockLiku() {
        return lockLiku;
    }

    /**
     * 无注释
     * @param lockLiku value
     */
    public void setLockLiku(String lockLiku) {
        this.lockLiku = lockLiku;
    }

    /**
     * 申请判定序号
     * @return value
     */
    public String getDeterNoSeq() {
        return deterNoSeq;
    }

    /**
     * 申请判定序号
     * @param deterNoSeq value
     */
    public void setDeterNoSeq(String deterNoSeq) {
        this.deterNoSeq = deterNoSeq;
    }

    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @return value
     */
    public String getQcmStaus() {
        return qcmStaus;
    }

    /**
     * 工序交库状态(00，合格，11，待处理，22，判废，10，处理合格，12，处理判废)
     * @param qcmStaus value
     */
    public void setQcmStaus(String qcmStaus) {
        this.qcmStaus = qcmStaus;
    }

    /**
     * 废品个数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品个数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 主合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 主合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 主合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 主合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 主交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 主交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 工序判定结果
     * @return value
     */
    public String getJudgeResult() {
        return judgeResult;
    }

    /**
     * 工序判定结果
     * @param judgeResult value
     */
    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }

    /**
     * 工序判定时间
     * @return value
     */
    public String getJudgeResultTime() {
        return judgeResultTime;
    }

    /**
     * 工序判定时间
     * @param judgeResultTime value
     */
    public void setJudgeResultTime(String judgeResultTime) {
        this.judgeResultTime = judgeResultTime;
    }

    /**
     * 工序判定人
     * @return value
     */
    public String getJudgeMaker() {
        return judgeMaker;
    }

    /**
     * 工序判定人
     * @param judgeMaker value
     */
    public void setJudgeMaker(String judgeMaker) {
        this.judgeMaker = judgeMaker;
    }

    /**
     * 综合判定结果代码
     * @return value
     */
    public String getJudgeTolresultCode() {
        return judgeTolresultCode;
    }

    /**
     * 综合判定结果代码
     * @param judgeTolresultCode value
     */
    public void setJudgeTolresultCode(String judgeTolresultCode) {
        this.judgeTolresultCode = judgeTolresultCode;
    }

    /**
     * 综合判定结果
     * @return value
     */
    public String getJudgeTolresult() {
        return judgeTolresult;
    }

    /**
     * 综合判定结果
     * @param judgeTolresult value
     */
    public void setJudgeTolresult(String judgeTolresult) {
        this.judgeTolresult = judgeTolresult;
    }

    /**
     * 综合判定时间
     * @return value
     */
    public String getJudgeTolresultTime() {
        return judgeTolresultTime;
    }

    /**
     * 综合判定时间
     * @param judgeTolresultTime value
     */
    public void setJudgeTolresultTime(String judgeTolresultTime) {
        this.judgeTolresultTime = judgeTolresultTime;
    }

    /**
     * 综合判定人
     * @return value
     */
    public String getJudgeTolmaker() {
        return judgeTolmaker;
    }

    /**
     * 综合判定人
     * @param judgeTolmaker value
     */
    public void setJudgeTolmaker(String judgeTolmaker) {
        this.judgeTolmaker = judgeTolmaker;
    }

    /**
     * 综合判定单号
     * @return value
     */
    public String getJugdeTolconvicted() {
        return jugdeTolconvicted;
    }

    /**
     * 综合判定单号
     * @param jugdeTolconvicted value
     */
    public void setJugdeTolconvicted(String jugdeTolconvicted) {
        this.jugdeTolconvicted = jugdeTolconvicted;
    }

    /**
     * 工序判定单号
     * @return value
     */
    public String getJugdeConvicted() {
        return jugdeConvicted;
    }

    /**
     * 工序判定单号
     * @param jugdeConvicted value
     */
    public void setJugdeConvicted(String jugdeConvicted) {
        this.jugdeConvicted = jugdeConvicted;
    }

    /**
     * 质保书ID(接箍)
     * @return value
     */
    public String getZbsId() {
        return zbsId;
    }

    /**
     * 质保书ID(接箍)
     * @param zbsId value
     */
    public void setZbsId(String zbsId) {
        this.zbsId = zbsId;
    }

    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书)
     * @return value
     */
    public String getZbsFlag() {
        return zbsFlag;
    }

    /**
     * 质保书来源(1，产销出质保书 2，老系统出质保书)
     * @param zbsFlag value
     */
    public void setZbsFlag(String zbsFlag) {
        this.zbsFlag = zbsFlag;
    }

    public String getJudgeResultCode() {
        return judgeResultCode;
    }

    public void setJudgeResultCode(String judgeResultCode) {
        this.judgeResultCode = judgeResultCode;
    }
}
